petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecScatterDestroy

Destroys a scatter context created by VecScatterCreate().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterDestroy(VecScatter *ctx)

Collective on VecScatter Many br

### Input Parameter

ctx -the scatter context Many br

Many br

### See Also

VecScatterCreate(), VecScatterCopy()

Level:intermediate
Location:src/vec/vec/utils/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex74f.F90.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html